

I had been in unbearably excruciating pain for several days due to a toothache, so I went to the dentist. He immediately admitted me for an emergency root canal. Once in the chair, I was given nitrous oxide via a mask placed over my nose and face. Then the dentist left the room. I inhaled repeatedly and deeply because I wanted the pain to stop. Apparently, I inhaled to much nitrous oxide because I stopped breathing.

I floated up and out of my body to the ceiling. I turned and was looking down from the perspective of ceiling. I saw my body down in the chair, the room and all its contents, and the nurse preparing a table of instruments to side of room. I watched as she went over to my body and then shook me. She quickly ran out of the room. She came back with the dentist. He started violently rubbing my chest with his fist. During all this I was viewing everythong going on from above. I can still see it all clearly from memory. I can describe the hair on the top of the dentist's head and the shape of his back and shoulders as he rubbed my chest. At that moment, I rose through the ceiling itself and went into an infinite blackness. It was devoid of all light whatsoever and without any substance other than total darkness. I knew that I was dead but what was frightening was the absolute darkness that was devoid of any presence other than myself. It was a terrifying place beyond description. I felt totally alone in utter darkness. I immediately started desperately begging God to help me. I suddenly felt sucked back down into my body as if in a vacuum.

I gasped in air and simultaneously viewed the obviously alarmed dentist vigorously resucitating me. He stopped when I breathed in again and was back in my body.

